Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

An API key from Workspace settings → API keys, sent as Authorization: Bearer <key>.

Path Parameters

projectId
string
required

Query Parameters

cursor
string

The previous page's next_cursor.

Required string length: 1 - 512
limit
integer

Rows per page.

Required range: 1 <= x <= 100
format
enum<string>

csv returns the page as a CSV file.

Available options:
json,
csv
from
string
required

First day, inclusive. Required: window_required without it.

Pattern: ^\d{4}-\d{2}-\d{2}$
to
string
required

Last day, inclusive. Required.

Pattern: ^\d{4}-\d{2}-\d{2}$
engine
enum<string>
Available options:
chatgpt,
gemini,
perplexity,
claude,
claude-opus,
claude-haiku,
grok,
google-ai-overview,
google-ai-mode
prompt
string

One prompt id.

Required string length: 1 - 64

Response

OK

items
object[]
required
next_cursor
string | null
required
has_more
boolean
required